# Ideogram Character > Generate consistent characters from a single reference image. Outputs can be in many styles. You can also use inpainting to add your character to an existing image. - **Provider**: replicate - **Model ID**: ideogram-ai/ideogram-character - **Category**: face_image_generation - **Credits**: 350 per request - **Pricing Type**: input_based ## API Endpoint Base URL: https://api.core.today/v1 ### Create Prediction POST /predictions ### Get Status GET /predictions/{job_id} ### Cancel DELETE /predictions/{job_id} ## Authentication Header: `X-API-Key: YOUR_API_KEY` ## Input Parameters - `style_type` (string, optional): The character style type. Auto, Fiction, or Realistic. (Default: `Auto`; Options: `Auto`, `Fiction`, `Realistic`) - `rendering_speed` (string, optional): Rendering speed. Turbo for faster and cheaper generation, quality for higher quality and more expensive generation, default for balanced. (Default: `Default`; Options: `Default`, `Turbo`, `Quality`) - `mask` (string, optional): A black and white image. Black pixels are inpainted, white pixels are preserved. The mask will be resized to match the image size. - `resolution` (string, optional): Resolution. Overrides aspect ratio. Ignored if an inpainting image is given. (Default: `None`; Options: `None`, `512x1536`, `576x1408`, `576x1472`, `576x1536`, `640x1344`, `640x1408`, `640x1472`, `640x1536`, `704x1152`, `704x1216`, `704x1280`, `704x1344`, `704x1408`, `704x1472`, `736x1312`, `768x1088`, `768x1216`, `768x1280`, `768x1344`, `800x1280`, `832x960`, `832x1024`, `832x1088`, `832x1152`, `832x1216`, `832x1248`, `864x1152`, `896x960`, `896x1024`, `896x1088`, `896x1120`, `896x1152`, `960x832`, `960x896`, `960x1024`, `960x1088`, `1024x832`, `1024x896`, `1024x960`, `1024x1024`, `1088x768`, `1088x832`, `1088x896`, `1088x960`, `1120x896`, `1152x704`, `1152x832`, `1152x864`, `1152x896`, `1216x704`, `1216x768`, `1216x832`, `1248x832`, `1280x704`, `1280x768`, `1280x800`, `1312x736`, `1344x640`, `1344x704`, `1344x768`, `1408x576`, `1408x640`, `1408x704`, `1472x576`, `1472x640`, `1472x704`, `1536x512`, `1536x576`, `1536x640`) - `character_reference_image` (string, **required**): An image to use as a character reference. - `aspect_ratio` (string, optional): Aspect ratio. Ignored if a resolution or inpainting image is given. (Default: `1:1`; Options: `1:3`, `3:1`, `1:2`, `2:1`, `9:16`, `16:9`, `10:16`, `16:10`, `2:3`, `3:2`, `3:4`, `4:3`, `4:5`, `5:4`, `1:1`) - `seed` (integer, optional): Random seed. Set for reproducible generation (Range: max: 2147483647) - `magic_prompt_option` (string, optional): Magic Prompt will interpret your prompt and optimize it to maximize variety and quality of the images generated. You can also use it to write prompts in different languages. (Default: `Auto`; Options: `Auto`, `On`, `Off`) - `prompt` (string, **required**): Text prompt for image generation - `image` (string, optional): An image file to use for inpainting. You must also use a mask. ## Example Request ```json { "model": "ideogram-ai/ideogram-character", "input": { "aspect_ratio": "1:1", "magic_prompt_option": "Auto", "style_type": "Auto", "prompt": "a close up photo of a woman in a fashion magazine photoshoot", "resolution": "None", "character_reference_image": "https://replicate.delivery/pbxt/NUKxQppU8C2sCfleK0lGVI0vt9P3swKz3MnKs1z9fnHkdAV2/0_1.webp" } } ``` ## Response Format ```json { "job_id": "abc123", "status": "pending", "provider": "replicate", "model": "black-forest-labs/flux-schnell", "created_at": "2026-01-01T00:00:00Z", "result": null, "error": null } ``` Status values: `pending`, `processing`, `completed`, `failed`, `cancelled` ## Usage Flow 1. POST /predictions with model and input → receive job_id 2. Poll GET /predictions/{job_id} until status is `completed` or `failed` 3. Result contains output URL(s) or data ## Output Type url ## Tags ideogram, character-consistency, face-generation, image-generation, inpainting ## Documentation https://replicate.com/ideogram-ai/ideogram-character